{% extends 'base.html' %}
{% load static %}

{% block content %}
    <h4 class="mt-5">Customer Details</h4>
    <div class="row mt-5">
       <div class="col">
           <div class="card">
               <h4>Customer : {{ customer.name }}</h4>
           </div>
       </div>
        <div class="col">
            <div class="card">
                <h4>Contacts</h4>
                <a href="{% url "ContactAdd" customerUUID=customer.uuid %}" class="btn btn-primary">Add Contact</a>
                <div class="table-responsive">
                    <table class="table table-striped table-sm">
                        <thead>
                        <tr>
                            <th scope="col">First Name</th>
                            <th scope="col">Last Name</th>
                            <th scope="col">Title</th>
                            <th scope="col">Email</th>
                            <th scope="col">Tools</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for contact in contacts %}
                            <tr>
                                <td>{{ contact.firstName }}</td>
                                <td>{{ contact.lastName }}</td>
                                <td>{{ contact.title }}</td>
                                <td>{{ contact.email }}</td>
                                <td>
                                    <a href="{% url "ContactEdit"  contactUUID=contact.uuid %}" class="btn btn-primary m-4"> Edit</a>
                                    <a href="{% url "ContactDelete"  contactUUID=contact.uuid %}" class="btn btn-primary m-4"> Delete</a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="row mt-5">
        <div class="col">
            <div class="card">
                <h4>Projects : {{ customer.name }}</h4>
            </div>
        </div>
        <div class="col">
            <div class="card">
                <h4>Tickets : {{ customer.name }}</h4>
            </div>
        </div>
        <div class="col">
            <div class="card">
                <h4>Locations : {{ customer.name }}</h4>
            </div>
        </div>
    </div>

{% endblock %}
